Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0039140
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] A. Platformminorhave not tried2018-08-15 15:162018-12-11 20:22
ReportershuehnerView Statuspublic 
Assigned Toalostale 
PrioritynormalResolutionfixedFixed in Version3.0PR19Q1
StatusclosedFix in branchFixed in SCM revision44a01083360d
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Tocaristu
Web browser
ModulesCore
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0039140: Remove -Drestart=yes option from smartbuild, as tomcat restart should be always done via OS

Descriptionant smartbuild has a optional -Drestart=yes flag which if used uses openbravo MMC code to restart tomcat.

As smartbuild is commandline task there is no need at all to us the ob MMC tomcat restart code instead of the native tomcat packaging restart (i.e. /etc/init.d/tomcat script).

Apart that restart option can only work with tomcat and not with i.e. wildfly.

Steps To Reproduce-
Proposed SolutionRemove -Drestart=yes option from ant smartbuild
Remove mentioned tomcat.restart + tomcat.restart.do from ant -p output to not advertise them to be used manually.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks design defect 0038296 acknowledgedplatform Review & cleanup build.xml 

-  Notes
(0106354)
shuehner (administrator)
2018-08-15 15:37

wiki documentation update:
http://wiki.openbravo.com/w/index.php?title=Development_Build_Tasks&action=historysubmit&diff=227412&oldid=217900 [^]
(0107242)
hgbot (developer)
2018-10-11 10:04

Repository: erp/devel/pi
Changeset: 44a01083360db9eb9b6d49359208ca70407cd622
Author: Asier Lostalé <asier.lostale <at> openbravo.com>
Date: Thu Oct 11 10:01:13 2018 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/44a01083360db9eb9b6d49359208ca70407cd622 [^]

fixed issue 39140: removed restart option from smartbuild

---
M build.xml
---
(0107248)
caristu (developer)
2018-10-11 11:23

Code reviewed + tested OK.
(0108425)
hudsonbot (developer)
2018-12-11 20:22

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/470e3cd384c5 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2018-08-15 15:16 shuehner New Issue
2018-08-15 15:16 shuehner Assigned To => shuehner
2018-08-15 15:16 shuehner Modules => Core
2018-08-15 15:16 shuehner Triggers an Emergency Pack => No
2018-08-15 15:16 shuehner Relationship added blocks 0038296
2018-08-15 15:37 shuehner Note Added: 0106354
2018-10-11 10:02 alostale Assigned To shuehner => alostale
2018-10-11 10:04 hgbot Checkin
2018-10-11 10:04 hgbot Note Added: 0107242
2018-10-11 10:04 hgbot Status new => resolved
2018-10-11 10:04 hgbot Resolution open => fixed
2018-10-11 10:04 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/44a01083360db9eb9b6d49359208ca70407cd622 [^]
2018-10-11 10:05 alostale Review Assigned To => caristu
2018-10-11 11:23 caristu Note Added: 0107248
2018-10-11 11:23 caristu Status resolved => closed
2018-10-11 11:23 caristu Fixed in Version => 3.0PR19Q1
2018-12-11 20:22 hudsonbot Checkin
2018-12-11 20:22 hudsonbot Note Added: 0108425


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker